POST /v0/backfilling/import-updates
curl --request POST \
--url https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/backfilling/import-updates \
--header 'Content-Type: application/json' \
--data '
{
"migration_id": 123,
"after_update_id": "<string>",
"limit": 123
}
'import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/backfilling/import-updates"
payload = {
"migration_id": 123,
"after_update_id": "<string>",
"limit": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({migration_id: 123, after_update_id: '<string>', limit: 123})
};
fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/backfilling/import-updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"update_id": "<string>",
"migration_id": 123,
"workflow_id": "<string>",
"record_time": "<string>",
"synchronizer_id": "<string>",
"effective_at": "<string>",
"offset": "<string>",
"root_event_ids": [
"<string>"
],
"events_by_id": {},
"external_transaction_hash": "<string>"
}
]
}{
"error": "<string>"
}POST /v0/backfilling/import-updates
POST
/
v0
/
backfilling
/
import-updates
POST /v0/backfilling/import-updates
Body
application/json
Response
ok
An individual item in the update history. May be a transaction or a contract reassignment.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I